{
    onDamagingHit(damage, target, source, move) {
      if (move.type === "Dark") {
        this.boost({ spa: 1 });
      }
    },
    onTryBoost(boost, target, source, effect) {
      if (effect.name === "Demoralize" && boost.spa) {
        delete boost.spa;
        this.add("-fail", target, "unboost", "[from] ability: Rectitude", "[of] " + target);
      }
    },
    flags: {},
    name: "Rectitude",
    rating: 2.5,
    num: -32074
}